WinCrypt.CRL_INFO (JNA API)

com.sun.jna.platform.win32

## Class WinCrypt.CRL_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CRL_INFO

- Direct Known Subclasses:
    WinCrypt.CRL_INFO.ByReference
  Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"dwVersion","SignatureAlgorithm","Issuer","ThisUpdate","NextUpdate","cCRLEntry","rgCRLEntry","cExtension","rgExtension"})
      public static class WinCrypt.CRL_INFO
      extends Structure

  The CRL_INFO structure contains the information of a certificate revocation list (CRL).
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CRL_INFO.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cCRLEntry`
    `int` | `cExtension`
    `int` | `dwVersion`
    `WinCrypt.DATA_BLOB` | `Issuer`
    `WinBase.FILETIME` | `NextUpdate`
    `Pointer` | `rgCRLEntry`
    `Pointer` | `rgExtension`
    `WinCrypt.CRYPT_ALGORITHM_IDENTIFIER` | `SignatureAlgorithm`
    `WinBase.FILETIME` | `ThisUpdate`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRL_INFO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinCrypt.CRL_ENTRY[]` | `getRgCRLEntry()`
    `WinCrypt.CERT_EXTENSION[]` | `getRgExtension()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwVersion

          public int dwVersion

    - #### SignatureAlgorithm

          public WinCrypt.CRYPT_ALGORITHM_IDENTIFIER SignatureAlgorithm

    - #### Issuer

          public WinCrypt.DATA_BLOB Issuer

    - #### ThisUpdate

          public WinBase.FILETIME ThisUpdate

    - #### NextUpdate

          public WinBase.FILETIME NextUpdate

    - #### cCRLEntry

          public int cCRLEntry

    - #### rgCRLEntry

          public Pointer rgCRLEntry

    - #### cExtension

          public int cExtension

    - #### rgExtension

          public Pointer rgExtension

  - ### Constructor Detail

    - #### CRL_INFO

          public CRL_INFO()

  - ### Method Detail

    - #### getRgCRLEntry

          public WinCrypt.CRL_ENTRY[] getRgCRLEntry()

    - #### getRgExtension

          public WinCrypt.CERT_EXTENSION[] getRgExtension()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.